#!/bin/bash

SYNTHESIS_SCRIPT="../../../src/dwarf-synthesis/synthesize_dwarf.sh"

if [ "$#" -lt 1 ] ; then
    >&2 echo -e "Missing argument: object file.\nUsage: $0 object.o"
    exit 1
fi

objfile="$1"

$SYNTHESIS_SCRIPT "$objfile" "$objfile.synth"
